﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Fasterflect;

namespace QuickTrimPerformance
{
	public static class QuickTrim_FasterFlect
	{

		public static void NullSafeTrimStrings_FasterFlect<T>(this T item)
		{
			Type itemType = typeof(T);

			var props = PropertyCache.Instance.GetProperties(itemType);

			foreach (var prop in props)
			{
				string currentValue = (string)item.GetPropertyValue(prop.Name);
				item.SetPropertyValue(prop.Name, currentValue.NullSafeTrim());
			}
		}
	}
}
